/*
Prova di Laboratorio di BASI di DATI
C.d.L. in Informatica (3 anni) - C.d.L. in Informatica (5 anni)
Docente: dott.ssa Francesca A. Lisi

16 Dicembre 2004


Cognome e Nome	:	Lisi Francesca
Matricola	:	271110
A.A. in cui si  seguito il corso: 2004/2005
*/

use premiere;

# Esercizio 1)

drop table if exists DettOrdini;
create table if not exists DettOrdini(
			NroOrdine char(6)not null
					references Ordini(NroOrdine),
		      	NroArticolo char(4) not null
					references Articoli(NroArt),
		      	QtaOrdinata int,
		        PrzRichiesto decimal(5,2) 
) TYPE=INNODB;


# Esercizio 2)

insert into DettOrdini values ('12489','AX12',11,21.95);
insert into DettOrdini values ('12491','BT04',1,149.99);
insert into DettOrdini values ('12491','BZ66',1,399.99);
insert into DettOrdini values ('12494','CB03',4,279.99);
insert into DettOrdini values ('12495','CX11',2,22.95);
insert into DettOrdini values ('12498','AX12',11,21.95);
insert into DettOrdini values ('12489','AZ52',2,12.95);
insert into DettOrdini values ('12500','BT04',1,149.99);
insert into DettOrdini values ('12504','CZ81',2,325.99);


# Esercizio 3)


SELECT CodCliente, Nome, Cognome
FROM Clienti
WHERE CodCliente IN 
	(SELECT CodCliente
	FROM Ordini
	WHERE Data='2002-09-05');



# Esercizio 4)

SELECT DISTINCT Rappresentanti.CodRappr, Rappresentanti.Cognome, Rappresentanti.Nome
FROM Clienti INNER JOIN Rappresentanti ON Rappresentanti.CodRappr=Clienti.CodRappr
WHERE Clienti.Fido=1000;



# Esercizio 5)

SELECT NroArt, Descrizione, PrezzoUnitario, Categoria
FROM Articoli
WHERE PrezzoUnitario > ANY
 	(SELECT PrezzoUnitario
 	FROM Articoli
 	WHERE Categoria = 'cs');



# Esercizio 6)

SELECT CodCliente, Cognome, Nome
FROM Clienti 
WHERE Fido<=1000 AND Saldo>Fido;

